Popup (JavaFX 17)

Module javafx.graphics
Package javafx.stage

## Class Popup

- java.lang.Object
- - javafx.stage.Window
  - - javafx.stage.PopupWindow
    - - javafx.stage.Popup

- All Implemented Interfaces:
    `EventTarget`

      public class Popup
      extends PopupWindow

  A Popup is a special window-like container for a scene graph. It is typically used for tooltip like notification, drop down boxes, menus, and so forth. The popup has no decorations, and essentially acts as a specialized scene/window which has no decorations, is transparent, and with a null fill.
  Since:
    JavaFX 2.0

- - ### Property Summary

    - ### Properties declared in class javafx.stage.PopupWindow

      `anchorLocation, anchorX, anchorY, autoFix, autoHide, consumeAutoHidingEvents, hideOnEscape, onAutoHide, ownerNode, ownerWindow`

    - ### Properties declared in class javafx.stage.Window

      `eventDispatcher, focused, forceIntegerRenderScale, height, onCloseRequest, onHidden, onHiding, onShowing, onShown, opacity, outputScaleX, outputScaleY, renderScaleX, renderScaleY, scene, showing, width, x, y`

  - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class javafx.stage.PopupWindow

      `PopupWindow.AnchorLocation`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Popup()` | Creates a `Popup`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObservableList<Node>` | `getContent()` | The ObservableList of `Node`s to be rendered on this `Popup`.

    - ### Methods declared in class javafx.stage.PopupWindow

      `anchorLocationProperty, anchorXProperty, anchorYProperty, autoFixProperty, autoHideProperty, consumeAutoHidingEventsProperty, getAnchorLocation, getAnchorX, getAnchorY, getConsumeAutoHidingEvents, getOnAutoHide, getOwnerNode, getOwnerWindow, hide, hideOnEscapeProperty, isAutoFix, isAutoHide, isHideOnEscape, onAutoHideProperty, ownerNodeProperty, ownerWindowProperty, setAnchorLocation, setAnchorX, setAnchorY, setAutoFix, setAutoHide, setConsumeAutoHidingEvents, setHideOnEscape, setOnAutoHide, setScene, show, show, show`

    - ### Methods declared in class javafx.stage.Window

      `addEventFilter, addEventHandler, buildEventDispatchChain, centerOnScreen, eventDispatcherProperty, fireEvent, focusedProperty, forceIntegerRenderScaleProperty, getEventDispatcher, getHeight, getOnCloseRequest, getOnHidden, getOnHiding, getOnShowing, getOnShown, getOpacity, getOutputScaleX, getOutputScaleY, getProperties, getRenderScaleX, getRenderScaleY, getScene, getUserData, getWidth, getWindows, getX, getY, hasProperties, heightProperty, isFocused, isForceIntegerRenderScale, isShowing, onCloseRequestProperty, onHiddenProperty, onHidingProperty, onShowingProperty, onShownProperty, opacityProperty, outputScaleXProperty, outputScaleYProperty, removeEventFilter, removeEventHandler, renderScaleXProperty, renderScaleYProperty, requestFocus, sceneProperty, setEventDispatcher, setEventHandler, setForceIntegerRenderScale, setHeight, setOnCloseRequest, setOnHidden, setOnHiding, setOnShowing, setOnShown, setOpacity, setRenderScaleX, setRenderScaleY, setUserData, setWidth, setX, setY, show, showingProperty, sizeToScene, widthProperty, xProperty, yProperty`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Popup

          public Popup()

      Creates a `Popup`.

  - ### Method Detail

    - #### getContent

          public final ObservableList<Node> getContent()

      The ObservableList of `Node`s to be rendered on this `Popup`. The content forms the complete visual representation of the Popup. Popups have no intrinsic visuals.